Subject: bug#19293: closed (Re: bug#19293: failure in fmbtest after commit d48e658e03a70ff648801cbea698c11abff80016)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 20 Sep 2015 01:26:02 +0000

Your bug report

#19293: failure in fmbtest after commit d48e658e03a70ff648801cbea698c11abff80016

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19293: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19293
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19293: failure in fmbtest after commit d48e658e03a70ff648801cbea698c11abff80016
From: Jim Meyering <[email-masked]>
To: Norihiro Tanaka <[email-masked]>
Cc: Paul Eggert <[email-masked]>, [email-masked]
Date: Sat, 19 Sep 2015 18:24:41 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Dec 10, 2014 at 4:33 AM, Norihiro Tanaka <[email-masked]> wrote:
> On Tue, 09 Dec 2014 23:02:57 -0800
> Paul Eggert <[email-masked]> wrote:
>
>> Norihiro Tanaka wrote:
>> > I confirmed that the bug is not fixed in CentOS 5 yet.
>>
>> Thanks for checking.  Does the attached patch work around the problem?
>
> Thanks, I confirmed that fmbtest was skipped on CentOS 5 after the patch.
> By the way, I replaced hexadecimal to octal for printf.

This was fixed by commit
11e53e804fda824dbb04c131c319d24d7b1954f7
so closing.

Subject: failure in fmbtest after commit d48e658e03a70ff648801cbea698c11abff80016
From: Norihiro Tanaka <[email-masked]>
To: [email-masked]
Date: Sun, 07 Dec 2014 17:03:11 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

I ran fmbtest #1, #2, #3 and #8 with grep master in CentOS 5.10 and 6.5,
but it fails in both.  I also confirmed that it succeeded in Fedora 20.

I see that it fails in replacing non-digit characters to blanks with sed.
The replacement was changed in commit d48e658e03a70ff648801cbea698c11abff80016.

On the other hands, as it succeeds in Fedora 20 and fails even with the
newest sed in CentOS 5.10 and 6.5, old glibc may have a bug in treatment
of locales.

I have no good idea to fix this bug in grep at this time.